gr::lte::crc_check_vbvb Class Reference

Calculate CRC and check if it is equal to received CRC. More...

`#include <crc_check_vbvb.h>`

Inheritance diagram for gr::lte::crc_check_vbvb:
[legend]

## Public Types

typedef boost::shared_ptr< crc_check_vbvb > | sptr

## Static Public Member Functions

static sptr | make (int data_len, int final_xor, std::string name="crc_check_vbvb")
| Return a shared_ptr to a new instance of lte::crc_check_vbvb.

## Detailed Description

Calculate CRC and check if it is equal to received CRC.

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<crc_check_vbvb> gr::lte::crc_check_vbvb::sptr

## Member Function Documentation

## make()

static sptr gr::lte::crc_check_vbvb::make | ( | int | data_len,
|  | int | final_xor,
|  | std::string | name = "crc_check_vbvb" )

static

Return a shared_ptr to a new instance of lte::crc_check_vbvb.

To avoid accidental use of raw pointers, lte::crc_check_vbvb's constructor is in a private implementation class. lte::crc_check_vbvb::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- crc_check_vbvb.h